Skip to main content
POST
Create branch

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project ID

Body

application/json
name
string
required

Name for the new branch

baseCommitId

Base commit ID to branch from, or "base"/"latest" keywords

Response

200 - application/json

The newly created branch

The newly created branch

id
string<uuid>
required

Branch ID

name
string
required

Branch name

default
boolean
required

Whether this is the default (main) branch

projectId
string<uuid>
required

Project ID

baseCommitId
string<uuid> | null
required

Base commit ID

createdById
string<uuid> | null
required

ID of user who created the branch

createdAt
string<date-time>
required

Creation timestamp

updatedAt
string<date-time>
required

Last update timestamp

createdBy
object | null

User who created the branch

changeRequests
object[]

Pending change requests